# Created by pyp2rpm-1.0.1
%global pypi_name healpy
%define version 1.6.2

Name:           python-healpy
Version:        %{version}
Release:        %mkrel 6
Group:          Development/Python
Summary:        Healpix tools package for Python

License:        GPLv2
Source0:        https://pypi.python.org/packages/source/h/healpy/healpy-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-numpy-devel

%description
Healpy provides a python package
to manipulate healpix maps. It is
based on the standard numeric and
visualisation tools for Python,
Numpy.


%prep
%setup -q -n %{pypi_name}-%{version}
sed -i -e s/pyfits/astropy.io.fits/g \
    healpy/__init__.py \
    healpy/fitsfunc.py \
    healpy/sphtfunc.py \
    healpy/test/test_fitsfunc.py \
    healpy/test/test_sphtfunc.py

sed -i -e s/pyfits/astropy/g \
    setup.py 

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc cfitsio/README.win32 cfitsio/README.MacOS README.rst cfitsio/License.txt
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.6.2-6.mga4
+ Revision: 543439
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.2-5.mga4
+ Revision: 498717
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 1.6.2-4.mga4
+ Revision: 459750
- reset pythonegg to use astropy

* Sun Jul 28 2013 joequant <joequant> 1.6.2-3.mga4
+ Revision: 459350
- change to python-astropy

* Sat Jul 27 2013 joequant <joequant> 1.6.2-2.mga4
+ Revision: 459032
- remove pyfits dependency

* Thu Jul 25 2013 joequant <joequant> 1.6.2-1.mga4
+ Revision: 458005
- add setuptools
- imported package python-healpy

